org.labkey.remoteapi.assay

## Class SaveAssayBatchCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<ResponseType>
  - - org.labkey.remoteapi.PostCommand<SaveAssayBatchResponse>
    - - org.labkey.remoteapi.assay.SaveAssayBatchCommand

-     public class SaveAssayBatchCommand
      extends PostCommand<SaveAssayBatchResponse>

  Saves an assay batch on the server. If no batch or run ids are specified, new ones will be inserted. If they are specified, existing ones will be updated. User: jeckels Date: Apr 28, 2010

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveAssayBatchCommand(int assayId)`
    `SaveAssayBatchCommand(int assayId, Batch batch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SaveAssayBatchCommand` | `copy()` Returns a copy of this object.
    `protected SaveAssayBatchResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.
    `org.json.simple.JSONObject` | `getJsonObject()` Returns the JSON object to post, or null if the JSON object has not yet been set.

    - ### Methods inherited from class org.labkey.remoteapi.PostCommand

      `createRequest, setJsonObject`

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaveAssayBatchCommand

          public SaveAssayBatchCommand(int assayId)

      Parameters:
        `assayId` - the id of the assay definition on the web server

    - #### SaveAssayBatchCommand

          public SaveAssayBatchCommand(int assayId,
                                       Batch batch)

      Parameters:
        `assayId` - the id of the assay definition on the web server
        `batch` - the batch object to be saved

  - ### Method Detail

    - #### copy

          public SaveAssayBatchCommand copy()

      Description copied from class: `Command`
      Returns a copy of this object. Derived classes should override this to copy their own data members
      Overrides:
        `copy` in class `PostCommand<SaveAssayBatchResponse>`
      Returns:
        A copy of this object

    - #### getJsonObject

          public org.json.simple.JSONObject getJsonObject()

      Description copied from class: `PostCommand`
      Returns the JSON object to post, or null if the JSON object has not yet been set. Override this method to provide the JSON object dynamically.
      Overrides:
        `getJsonObject` in class `PostCommand<SaveAssayBatchResponse>`
      Returns:
        The JSON object to post.

    - #### createResponse

          protected SaveAssayBatchResponse createResponse(java.lang.String text,
                                                          int status,
                                                          java.lang.String contentType,
                                                          org.json.simple.JSONObject json)

      Description copied from class: `Command`
      Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

      Override this method to create an instance of a different class that extends CommandResponse

      Overrides:
        `createResponse` in class `Command<SaveAssayBatchResponse>`
      Parameters:
        `text` - The response text from the server.
        `status` - The HTTP status code.
        `contentType` - The Content-Type header value.
        `json` - The parsed JSONObject (or null if no JSON was returned).
      Returns:
        An instance of the response object.